Problems installing LMS+Squeezelite on OrangePi PC

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
User avatar
Sciamano
Posts: 264
Joined: Sat Oct 15, 2016 12:18 pm
Location: Italy

Problems installing LMS+Squeezelite on OrangePi PC

Post by Sciamano »

Hello,
as I had promised in another thread, I started testing the OrangePI as a LMS+Squeezelite machine.
I tried installing both on a fresh DietPi installation, but here is what happens:

- dietpi-software exits and displays the following error window:

Code: Select all

Apt-get has failed:    
│  - Apt string = squeezelite                                        │
│  - Error code = 100                                                │ 
│  - Software Title = SqueezeLite: audio player for lms & squeezebox │  
│  Please report this issue to DietPi so it can be investigated.     │ 
│  DietPi-Software will now exit.        
Also, during the installation, these errors occurred:

Code: Select all

DietPi-Software
─────────────────────────────────────────────────────
 Mode: Install software
 Please wait...

 SqueezeBox: logitech media server (lms)
 [Info] Please wait...

 #               processing | D I E T  P I             #

 [Info] Testing connection to http://dietpi.com/downloads/binaries/all/logitechmediaserver_7.9.0_all.deb
 [Info] Max duration of 20 seconds, please wait...
 [Ok] Connection test | Completed

--2016-11-08 15:05:48--  http://dietpi.com/downloads/binaries/all/logitechmediaserver_7.9.0_all.deb
Resolving dietpi.com (dietpi.com)... 185.101.92.145
Connecting to dietpi.com (dietpi.com)|185.101.92.145|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 133997278 (128M) [application/x-debian-package]
Saving to: ‘package.deb’

package.deb                             100%[===============================================================================>] 127.79M  1.71MB/s   in 84s    

2016-11-08 15:07:12 (1.52 MB/s) - ‘package.deb’ saved [133997278/133997278]

Selecting previously unselected package logitechmediaserver.
(Reading database ... 15119 files and directories currently installed.)
Preparing to unpack package.deb ...
Unpacking logitechmediaserver (7.9.0~1451894331) ...
dpkg: dependency problems prevent configuration of logitechmediaserver:
 logitechmediaserver depends on perl (>= 5.8.8); however:
  Package perl is not installed.

dpkg: error processing package logitechmediaserver (--install):
 dependency problems - leaving unconfigured
Processing triggers for systemd (215-17+deb8u5) ...
Errors were encountered while processing:
 logitechmediaserver
Failed to stop logitechmediaserver.service: Unit logitechmediaserver.service not loaded.

 DietPi-Software
─────────────────────────────────────────────────────
 Mode: Install software
 Please wait...

 SqueezeLite: audio player for lms & squeezebox
 [Info] Please wait...

 #               processing | D I E T  P I             #

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 logitechmediaserver : Depends: perl (>= 5.8.8) but it is not going to be installed
 squeezelite : Depends: libavcodec56 (>= 6:11~beta1) but it is not going to be installed or
                        libavcodec-extra-56 (>= 6:11~beta1) but it is not going to be installed
               Depends: libavformat56 (>= 6:11~beta1) but it is not going to be installed
               Depends: libavutil54 (>= 6:11~beta1) but it is not going to be installed
               Depends: libfaad2 (>= 2.7) but it is not going to be installed
               Depends: libflac8 (>= 1.3.0) but it is not going to be installed
               Depends: libmad0 (>= 0.15.1b-3) but it is not going to be installed
               Depends: libmpg123-0 (>= 1.10.0) but it is not going to be installed
               Depends: libsoxr0 (>= 0.1.0) but it is not going to be installed
               Depends: libvorbisfile3 (>= 1.1.2) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
 [Info] The apt cache may be corrupt, or you have held broken pacakages. DietPi-Software will now exit.

 [Info] Please try:
 [Info] - Fixing apt package errors with 'apt-get install -f'
 [Info] - Changing '/etc/apt/sources.list' to another repo mirror.
 [Info] - Clear and refresh apt 'apt-get update'
 [Info] - If problems persist, please create a Git ticket so DietPi can investigate the issue:
 - https://github.com/Fourdee/DietPi/issues

root@DietPi:~# 
My instinct tells me to try with 'apt-get -f install' but since I don't want to make a mess, I think I'm going to wait for fourdee's suggestions :)
User avatar
Sciamano
Posts: 264
Joined: Sat Oct 15, 2016 12:18 pm
Location: Italy

Re: Problems installing LMS+Squeezelite on OrangePi PC

Post by Sciamano »

I had some spare time to dedicate to this, so here is a little update.

I used the command:

Code: Select all

apt-get -f install
after which DietPi installed a lot of packages, and I managed to install both Squeezebox Server and Squeezelite successfully.

Unfortunately I can't hear no audio coming from the 3,5 jack even though I've set h3-analogue in dietpi-config -> Audio Options.

The command 'alsamixer' gives the following error:

Code: Select all

root@DietPi:~# alsamixer
cannot open mixer: Invalid argument
Any help would be appreciated. I would really love to use the OrangePi PC as a LMS/Squeezelite combo (it's so much faster than my RPi B!). Thanks!!
User avatar
Sciamano
Posts: 264
Joined: Sat Oct 15, 2016 12:18 pm
Location: Italy

Re: Problems installing LMS+Squeezelite on OrangePi PC

Post by Sciamano »

Ok, I have found the solution (it was easy...):

Code: Select all

nano /etc/asound.conf
And change "card 1" to "card 0" like this:

Code: Select all

pcm.!default {
    type hw
    card 0
    device 0
}
ctl.!default {
    type hw
    card 0
    device 0
}
I have no idea why it was setup wrongly, but I'm glad it works!! Now on to the quality testing! :)

Shairport does not seem to work, on the other hand. Even after enabling software mixing as explained here, the output is awful.
Post Reply